# Update and Import File

Imports shipped order details with the tracking code. To import file, you will need to call the /uploadAndImportfile endpoint with the POST method.

## Request

### Endpoint

`https://<host>/api/uploadAndImportfile`

Example: <https://demo-oms.hotwax.io/api/uploadAndImportfile>

### Header

#### Body

```
uploadedFile: (blob)
configId: IMP_TRACK_NUM
```

Note: Provide this information in form format

| Parameter      | Description                                                    | Required (Y/N) |
| -------------- | -------------------------------------------------------------- | -------------- |
| `uploadedFile` | The uploaded file                                              | Y              |
| `configId`     | The datamanager configuration ID which is used to import files | Y              |

## Response

### Header

#### Body

```
{
  "uploadFileContentId": "",
  "filePath": "/oms/runtime/datamanager/imported/IMP_TRACK_NUM/<file_name>",
  "configId": "IMP_TRACK_NUM",
  "EVENT_MESSAGE": "Upload has been started successfully."
}

```

| Parameter             | Description                                             |
| --------------------- | ------------------------------------------------------- |
| `uploadFileContentId` | The content ID of the uploadFile                        |
| `filePath`            | The location of a file in a web site's folder structure |
| `_EVENT_MESSAGE_`     | The communication message of the event                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/fulfillment/update-and-import-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
